Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://geniusforms.ai/api/v1/forms/{id}/publish \ --header 'X-API-Key: <api-key>'
import requests url = "https://geniusforms.ai/api/v1/forms/{id}/publish" headers = {"X-API-Key": "<api-key>"} response = requests.post(url, headers=headers) print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}}; fetch('https://geniusforms.ai/api/v1/forms/{id}/publish', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": 123, "isPublished": true, "publishedAt": "2023-11-07T05:31:56Z", "url": "https://geniusforms.ai/f/abc123xyz" }
Make a form publicly accessible via its share URL.
API key obtained from your GeniusForms dashboard
Form published
true
"https://geniusforms.ai/f/abc123xyz"